# This ingress will not start until the cluster specific system configuration
# is active. The ingress controller and load balancer are not active during
# initial setup.

apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: argocd
  namespace: argocd
  annotations:
    # use the shared ingress-nginx
    kubernetes.io/ingress.class: "nginx"
    # cert-manager.io/cluster-issuer: selfsigned-issuer
    nginx.ingress.kubernetes.io/ssl-passthrough: "true"
    nginx.ingress.kubernetes.io/backend-protocol: "HTTPS"
spec:
  rules:
  - host: argocd-cltst.let.ethz.ch
    http:
      paths:
        - backend:
            serviceName: argocd-server
            servicePort: 443
          path: /

  - host: argocd-cltst.let
    http:
      paths:
        - backend:
            serviceName: argocd-server
            servicePort: 443
          path: /
  tls:
    - hosts:
        - argocd-cltst.let.ethz.ch
        - argocd-cltst.let
      secretName: auto-cert-argocd
